<?xml version="1.0"?>

<!--
proj.xsl - XSLT style-sheet for generating a project web page
Copyright (C) 2002 Michael B. Allen

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xt="http://www.jclark.com/xt"
	extension-element-prefixes="xt">
<xsl:output method="html"
	encoding="ISO-8859-1"
	doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:param name="section"/>
<xsl:param name="date"/>
<xsl:param name="lib"/>
<xsl:param name="title"/>
<xsl:param name="bgcolor"/>
<xsl:param name="color"/>
<xsl:param name="color2"/>
<xsl:param name="color3"/>

<xsl:template match="proj">
	<HTML><HEAD>
	<STYLE TYPE="text/css">
		BODY {
			background-color: <xsl:value-of select="$bgcolor"/>;
			font-family: verdana, arial;
			font-size: small;
		}
		H2, H3, .tfc {
			font-family: verdana, arial;
			font-size: small;
			color: <xsl:value-of select="$color"/>;
		}
		A {
			color: <xsl:value-of select="$color"/>;
			font-weight: bold;
		}
		BIG {
			color: <xsl:value-of select="$color"/>;
			font-weight: bold;
			font-size: 50px;
		}
		EM {
			color: <xsl:value-of select="$color"/>;
			font-family: Times New Roman;
			font-weight: bold;
			font-size: 20px;
		}
		PRE { 
		    font-family: monospaced, courier;
		    border: 1px solid black;
		    white-space: pre; 
		    color: black;
		    background-color: #dfdfdf; 
		}
		TABLE {
			border-collapse: collapse;
		}
		TH, TD {
			font-family: verdana, arial;
			font-size: small;
		}
		.links {
			background-color: <xsl:value-of select="$color2"/>;
			font-family: verdana, arial;
			font-size: small;
			padding: 10px;
		}
		.news {
			background-color: <xsl:value-of select="$color3"/>;
			font-family: verdana, arial;
			font-size: small;
			padding: 10px;
		}
	</STYLE>
	<TITLE><xsl:value-of select="title"/></TITLE>
	</HEAD><BODY>
	<BIG><xsl:value-of select="title"/></BIG><BR/>
	<b><xsl:value-of select="short"/></b>
	<P>
		<xsl:copy-of select="desc"/>
	</P>
	<table><tr><td valign="top" width="250" class="links">
		<xsl:apply-templates select="links"/>
	</td><td valign="top" class="news">
		<xsl:apply-templates select="news"/>
	</td></tr></table>
	<hr noshade="noshade"/>
	<small>
	<xsl:value-of select="$date"/><BR/>
	<xsl:value-of select="$lib"/><BR/>
	API documentation and website generated with <a href="../cstylex">CSytleX</a>
	</small>
	</BODY></HTML>
</xsl:template>

<xsl:template match="links">
	<h1>Links</h1>
	<xsl:for-each select="a">
		<xsl:copy-of select="."/><br/>
	</xsl:for-each>
	<xsl:for-each select="group">
		<br/>
		<b><xsl:value-of select="title"/></b><br/>
		<xsl:for-each select="a">
			<xsl:copy-of select="."/><br/>
		</xsl:for-each>
	</xsl:for-each>
</xsl:template>

<xsl:template match="news">
	<h1>News</h1>
	<xsl:for-each select="entry">
		<EM><xsl:apply-templates select="title"/></EM><BR/>
		<SMALL><xsl:value-of select="sub"/></SMALL><BR/>
		<xsl:copy-of select="desc"/><BR/>
		<P/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="br|p|a|i|tt|pre|blockquote">
	<xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>

