Summary: A library of generic C modules.
Name: libmba
Version: 0.7.0
Release: 1
Group: Development/Libraries
Source: http://www.ioplex.com/~miallen/libmba/dl/libmba-%{version}.tar.gz
URL: http://www.ioplex.com/~miallen/libmba/
Copyright: MIT/X Consortium
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Autoreq: 0
Packager: Michael B. Allen <mballen@erols.com>

%description
The libmba package is a collection of mostly independent C modules
potentially useful to any project. There are ADTs like linkedlist,
pool, and varray, a path canonicalization routine, CSV parser, I18N
text abstraction, a "mini DOM" for easy XML processing, a configuration
file api (like Java properties), and more. The code is designed so that
individual modules can be integrated into existing codebases rather
than requiring the user to commit to the entire library. The code has
no typedefs, few comments, and extensive man pages and HTML documentation.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=${RPM_BUILD_ROOT}%{_prefix} libdir=${RPM_BUILD_ROOT}%{_libdir} includedir=${RPM_BUILD_ROOT}%{_includedir} mandir=${RPM_BUILD_ROOT}%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.txt docs
%{_libdir}/libmba*
%{_includedir}/mba/*
%{_mandir}/man3/*

%changelog
* Wed Oct 15 2003 Michael B. Allen <mballen@erols.com>
- 0.7.0

* Sat Aug 25 2003 Michael B. Allen <mballen@erols.com>
- 0.6.15

* Mon May 17 2003 Michael B. Allen <mballen@erols.com>
- 0.6.1

* Mon May 5 2003 Michael B. Allen <mballen@erols.com>
- 0.6.0

* Tue Apr 29 2003 Michael B. Allen <mballen@erols.com>
- 0.5.2

* Tue Apr 1 2003 Michael B. Allen <mballen@erols.com>
- 0.5.1

* Sat Mar 22 2003 Michael B. Allen <mballen@erols.com>
- 0.5.0

* Sat Nov 23 2002 Michael B. Allen <mballen@erols.com>
- 0.4.6

* Sat Nov 16 2002 Michael B. Allen <mballen@erols.com>
- 0.4.5

* Thu Mar 28 2002 Michael B. Allen <mballen@erols.com>
- Create.
